//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 4 lights, 14 textures and 827 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 08/14/1997    (14.08.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  /*radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }*/
}

background { color <0.650,0.750,1.000> }

camera {  //  Camera StdCam
  location  <7.789, -112.593, 10.612> //<7.789, -112.593, 10.612>
  direction <0.0,     0.0,  1.9398>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <5.791, -0.688, -0.356>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <0.000, -0.100, 0.000>
  direction <0.0,     0.0,  1.1180>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

*/

// *******  L I G H T S *******
/*light_source {   // Light001 keep off
  <37.000, 18.000, 110.000>
  color rgb <0.55, 0.55, 0.5>
  shadowless
  atmosphere off
}*/
/*light_source {   // Light1
  <0.376, -6.266, 10.316>
  color rgb <1.000, 1.000, 1.000>
  shadowless
}*/
light_source {   // Light001
  <-5.720, 118.053, -179.114>
  color rgb <0.55, 0.55, 0.5> //<0.75, 0.75, 0.7> //<0.910, 0.937, 0.937>
  shadowless
  atmosphere off
}


light_source {   // Light002 Turn back on
  <0.000, -108.000, 25.000>
  color rgb <0.55, 0.55, 0.51>
  shadowless
  atmosphere off
}

/*light_source {   // Spotlight Flower2SpotLi1
  <23.603, -17.418, -12.321>
  color  rgb <0.804, 0.404, 0.545>
  spotlight
    point_at  <23.603, -14.525, -13.115>
    falloff   15.0  // outer radius (in deg)
      radius    7.5  // inner radius
  atmosphere off
  //atmospheric_attenuation on
}*/

light_source {   // Spotlight Flower2SpotLight
  <35.858, -12.337, 24.112>
  color  rgb <0.804, 0.404, 0.545> //<0.945, 0.690, 0.910>
  spotlight
    point_at  <35.858, 4.056, 19.611>
    falloff   15.0  // outer radius (in deg)
      radius    7.5  // inner radius
  shadowless
  atmosphere off
}


// ********  TEXTURES  *******
//
//#include "t1.inc"
#include "bt4.inc"
#include "CAT1.POV"
#include "THEFLY1.POV"

// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

#declare LeftLeaf10 = difference {
  sphere { // Sphere133
    <0,0,0>,1
    texture {
      LeafTex1
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube62
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf10 = difference {
  sphere { // Sphere134
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube63
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf10 = union {
  object { LeftLeaf10 }
  object { RtLeaf10 }
  cone { // LeafVein10
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  scale 0.7
  rotate <-71.411018, 28.253504, -110.626785>
  translate  <11.773909, -7.026989, 14.5853>
}
#declare LeftLeaf16 = difference {
  sphere { // Sphere141
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube70
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf16 = difference {
  sphere { // Sphere142
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube71
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf16 = union {
  object { LeftLeaf16 }
  object { RtLeaf16 }
  cone { // LeafVein16
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  no_shadow
  rotate <-36.634651, 39.359097, 3.211373>
  translate  <14.395384, 14.865256, 29.209578>
}
#declare Leaves3 = union {
  object { Leaf10 }
  object { Leaf16 }
  no_shadow
  rotate -55.0*z
  translate  <0.254389, -0.02956, -9.098575>
}
#declare LeftLeaf19 = difference {
  sphere { // Sphere147
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube76
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf19 = difference {
  sphere { // Sphere148
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube77
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf19 = union {
  object { LeftLeaf19 }
  object { RtLeaf19 }
  cone { // LeafVein19
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  scale 0.7
  rotate <-53.258675, -3.272939, -96.727074>
  translate  <12.021797, -1.092823, 9.881307>
}
#declare LeftLeaf20 = difference {
  sphere { // Sphere149
    <0,0,0>,1
    texture {
      LeafTex1
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube78
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf20 = difference {
  sphere { // Sphere150
    <0,0,0>,1
    texture {
      LeafTex1
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube79
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf20 = union {
  object { LeftLeaf20 }
  object { RtLeaf20 }
  cone { // LeafVein20
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  rotate <-48.968906, -8.694421, -16.823389>
  translate  <2.64258, 15.898405, 18.650394>
}
#declare Leaves5 = union {
  object { Leaf19 }
  object { Leaf20 }
  no_shadow
}
#declare CSG59 = difference {
  torus { // Torus75
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus76
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal36 = difference {
  object { CSG59 }
  box { // Cube84
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG60 = difference {
  torus { // Torus77
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus78
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal37 = difference {
  object { CSG60 }
  box { // Cube85
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG61 = difference {
  torus { // Torus79
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus80
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal38 = difference {
  object { CSG61 }
  box { // Cube86
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG62 = union {
  object { petal36 }
  object { petal37 }
  object { petal38 }
  rotate 88.082886*x
}
#declare AllPetals12 = difference {
  object { CSG62 }
  cone { // Cone96
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG63 = union {
  sphere { // Sphere155
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone97
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere156
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere157
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen72 = union {
  sphere { // Sphere158
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone98
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen73 = union {
  sphere { // Sphere159
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone99
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen74 = union {
  sphere { // Sphere160
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone100
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen75 = union {
  sphere { // Sphere161
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone101
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen76 = union {
  sphere { // Sphere162
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone102
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen77 = union {
  sphere { // Sphere163
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone103
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer12 = union {
  object { AllPetals12 }
  cone { // VaseTop12
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom12
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG63 }
  object { Stamen72 }
  object { Stamen73 }
  object { Stamen74 }
  object { Stamen75 }
  object { Stamen76 }
  object { Stamen77 }
  cone { // FlowerStem12
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-76.791588, 1.279545, -3.488471>
  translate  <-0.041033, -3.079167, 26.421697>
}
#declare CSG64 = difference {
  torus { // Torus81
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus82
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal39 = difference {
  object { CSG64 }
  box { // Cube87
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG65 = difference {
  torus { // Torus83
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus84
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal40 = difference {
  object { CSG65 }
  box { // Cube88
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG66 = difference {
  torus { // Torus85
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus86
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal41 = difference {
  object { CSG66 }
  box { // Cube89
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG67 = union {
  object { petal39 }
  object { petal40 }
  object { petal41 }
  rotate 88.082886*x
}
#declare AllPetals13 = difference {
  object { CSG67 }
  cone { // Cone104
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG68 = union {
  sphere { // Sphere164
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone105
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere165
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere166
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen78 = union {
  sphere { // Sphere167
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone106
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen79 = union {
  sphere { // Sphere168
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone107
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen80 = union {
  sphere { // Sphere169
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone108
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen81 = union {
  sphere { // Sphere170
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone109
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen82 = union {
  sphere { // Sphere171
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone110
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen83 = union {
  sphere { // Sphere172
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone111
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer13 = union {
  object { AllPetals13 }
  cone { // VaseTop13
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom13
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG68 }
  object { Stamen78 }
  object { Stamen79 }
  object { Stamen80 }
  object { Stamen81 }
  object { Stamen82 }
  object { Stamen83 }
  cone { // FlowerStem13
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -43.0*x
  translate  <0.0, -20.596312, 20.222663>
}
#declare CSG69 = difference {
  torus { // Torus87
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus88
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal42 = difference {
  object { CSG69 }
  box { // Cube90
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG70 = difference {
  torus { // Torus89
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus90
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal43 = difference {
  object { CSG70 }
  box { // Cube91
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG71 = difference {
  torus { // Torus91
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus92
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal44 = difference {
  object { CSG71 }
  box { // Cube92
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG72 = union {
  object { petal42 }
  object { petal43 }
  object { petal44 }
  rotate 88.082886*x
}
#declare AllPetals14 = difference {
  object { CSG72 }
  cone { // Cone112
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG73 = union {
  sphere { // Sphere173
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone113
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere174
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere175
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen84 = union {
  sphere { // Sphere176
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone114
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen85 = union {
  sphere { // Sphere177
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone115
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen86 = union {
  sphere { // Sphere178
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone116
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen87 = union {
  sphere { // Sphere179
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone117
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen88 = union {
  sphere { // Sphere180
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone118
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen89 = union {
  sphere { // Sphere181
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone119
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer14 = union {
  object { AllPetals14 }
  cone { // VaseTop14
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom14
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG73 }
  object { Stamen84 }
  object { Stamen85 }
  object { Stamen86 }
  object { Stamen87 }
  object { Stamen88 }
  object { Stamen89 }
  cone { // FlowerStem14
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-1.17981, 0.279658, 6.176609>
  translate  <0.0, -26.504166, -1.271366>
}
#declare CSG74 = difference {
  torus { // Torus93
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus94
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal45 = difference {
  object { CSG74 }
  box { // Cube93
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG75 = difference {
  torus { // Torus95
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus96
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal46 = difference {
  object { CSG75 }
  box { // Cube94
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG76 = difference {
  torus { // Torus97
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus98
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal47 = difference {
  object { CSG76 }
  box { // Cube95
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG77 = union {
  object { petal45 }
  object { petal46 }
  object { petal47 }
  rotate 88.082886*x
}
#declare AllPetals15 = difference {
  object { CSG77 }
  cone { // Cone120
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG78 = union {
  sphere { // Sphere182
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone121
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere183
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere184
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen90 = union {
  sphere { // Sphere185
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone122
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen91 = union {
  sphere { // Sphere186
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone123
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen92 = union {
  sphere { // Sphere187
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone124
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen93 = union {
  sphere { // Sphere188
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone125
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen94 = union {
  sphere { // Sphere189
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone126
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen95 = union {
  sphere { // Sphere190
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone127
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer15 = union {
  object { AllPetals15 }
  cone { // VaseTop15
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom15
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG78 }
  object { Stamen90 }
  object { Stamen91 }
  object { Stamen92 }
  object { Stamen93 }
  object { Stamen94 }
  object { Stamen95 }
  cone { // FlowerStem15
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <29.327204, 0.0, 13.803541>
  translate  <14.638734, -15.012698, -10.975572>
}
#declare CSG79 = difference {
  torus { // Torus99
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus100
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal48 = difference {
  object { CSG79 }
  box { // Cube96
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG80 = difference {
  torus { // Torus101
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus102
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal49 = difference {
  object { CSG80 }
  box { // Cube97
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG81 = difference {
  torus { // Torus103
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus104
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal50 = difference {
  object { CSG81 }
  box { // Cube98
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG82 = union {
  object { petal48 }
  object { petal49 }
  object { petal50 }
  rotate 88.082886*x
}
#declare AllPetals16 = difference {
  object { CSG82 }
  cone { // Cone128
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG83 = union {
  sphere { // Sphere191
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone129
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere192
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere193
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen96 = union {
  sphere { // Sphere194
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone130
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen97 = union {
  sphere { // Sphere195
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone131
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen98 = union {
  sphere { // Sphere196
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone132
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen99 = union {
  sphere { // Sphere197
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone133
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen100 = union {
  sphere { // Sphere198
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone134
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen101 = union {
  sphere { // Sphere199
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone135
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer16 = union {
  object { AllPetals16 }
  cone { // VaseTop16
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom16
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG83 }
  object { Stamen96 }
  object { Stamen97 }
  object { Stamen98 }
  object { Stamen99 }
  object { Stamen100 }
  object { Stamen101 }
  cone { // FlowerStem16
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  texture {
    PetalTex1
  }
  rotate <98.0, -36.011692, 0.0>
  translate  <11.716816, 4.110601, -22.186951>
}
#declare CSG84 = difference {
  torus { // Torus105
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus106
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal51 = difference {
  object { CSG84 }
  box { // Cube99
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG85 = difference {
  torus { // Torus107
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus108
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal52 = difference {
  object { CSG85 }
  box { // Cube100
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG86 = difference {
  torus { // Torus109
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus110
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal53 = difference {
  object { CSG86 }
  box { // Cube101
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG87 = union {
  object { petal51 }
  object { petal52 }
  object { petal53 }
  rotate 88.082886*x
}
#declare AllPetals17 = difference {
  object { CSG87 }
  cone { // Cone136
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG88 = union {
  sphere { // Sphere200
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone137
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere201
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere202
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen102 = union {
  sphere { // Sphere203
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone138
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen103 = union {
  sphere { // Sphere204
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone139
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen104 = union {
  sphere { // Sphere205
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone140
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen105 = union {
  sphere { // Sphere206
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone141
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen106 = union {
  sphere { // Sphere207
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone142
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen107 = union {
  sphere { // Sphere208
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone143
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer17 = union {
  object { AllPetals17 }
  cone { // VaseTop17
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom17
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG88 }
  object { Stamen102 }
  object { Stamen103 }
  object { Stamen104 }
  object { Stamen105 }
  object { Stamen106 }
  object { Stamen107 }
  cone { // FlowerStem17
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-11.63065, 16.215425, -18.544788>
  translate  <-5.542168, -40.767269, 9.331336>
}
#declare FlowerCluster2 = union {
  object { Fliwer12 }
  object { Fliwer13 }
  object { Fliwer14 }
  object { Fliwer15 }
  object { Fliwer16 }
  object { Fliwer17 }
  rotate -50.0*y
  translate  <-3.078982, -9.236947, 0.0>
}
#declare CSG89 = difference {
  torus { // Torus111
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus112
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal54 = difference {
  object { CSG89 }
  box { // Cube102
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG90 = difference {
  torus { // Torus113
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus114
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal55 = difference {
  object { CSG90 }
  box { // Cube103
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG91 = difference {
  torus { // Torus115
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus116
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal56 = difference {
  object { CSG91 }
  box { // Cube104
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG92 = union {
  object { petal54 }
  object { petal55 }
  object { petal56 }
  rotate 88.082886*x
}
#declare AllPetals18 = difference {
  object { CSG92 }
  cone { // Cone144
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG93 = union {
  sphere { // Sphere209
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone145
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere210
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere211
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen108 = union {
  sphere { // Sphere212
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone146
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen109 = union {
  sphere { // Sphere213
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone147
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen110 = union {
  sphere { // Sphere214
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone148
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen111 = union {
  sphere { // Sphere215
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone149
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen112 = union {
  sphere { // Sphere216
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone150
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen113 = union {
  sphere { // Sphere217
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone151
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer18 = union {
  object { AllPetals18 }
  cone { // VaseTop18
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom18
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG93 }
  object { Stamen108 }
  object { Stamen109 }
  object { Stamen110 }
  object { Stamen111 }
  object { Stamen112 }
  object { Stamen113 }
  cone { // FlowerStem18
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-83.886017, 7.179519, -7.834576>
  translate  <2.804707, -2.223899, 28.906453>
}
#declare CSG94 = difference {
  torus { // Torus117
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus118
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal57 = difference {
  object { CSG94 }
  box { // Cube105
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG95 = difference {
  torus { // Torus119
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus120
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal58 = difference {
  object { CSG95 }
  box { // Cube106
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG96 = difference {
  torus { // Torus121
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus122
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal59 = difference {
  object { CSG96 }
  box { // Cube107
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG97 = union {
  object { petal57 }
  object { petal58 }
  object { petal59 }
  rotate 88.082886*x
}
#declare AllPetals19 = difference {
  object { CSG97 }
  cone { // Cone152
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG98 = union {
  sphere { // Sphere218
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone153
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere219
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere220
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen114 = union {
  sphere { // Sphere221
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone154
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen115 = union {
  sphere { // Sphere222
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone155
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen116 = union {
  sphere { // Sphere223
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone156
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen117 = union {
  sphere { // Sphere224
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone157
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen118 = union {
  sphere { // Sphere225
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone158
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen119 = union {
  sphere { // Sphere226
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone159
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer19 = union {
  object { AllPetals19 }
  cone { // VaseTop19
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom19
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG98 }
  object { Stamen114 }
  object { Stamen115 }
  object { Stamen116 }
  object { Stamen117 }
  object { Stamen118 }
  object { Stamen119 }
  cone { // FlowerStem19
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -43.0*x
  translate  <0.0, -20.596312, 20.222663>
}
#declare CSG99 = difference {
  torus { // Torus123
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus124
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal60 = difference {
  object { CSG99 }
  box { // Cube108
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG100 = difference {
  torus { // Torus125
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus126
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal61 = difference {
  object { CSG100 }
  box { // Cube109
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG101 = difference {
  torus { // Torus127
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus128
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal62 = difference {
  object { CSG101 }
  box { // Cube110
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG102 = union {
  object { petal60 }
  object { petal61 }
  object { petal62 }
  rotate 88.082886*x
}
#declare AllPetals20 = difference {
  object { CSG102 }
  cone { // Cone160
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG103 = union {
  sphere { // Sphere227
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone161
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere228
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere229
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen120 = union {
  sphere { // Sphere230
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone162
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen121 = union {
  sphere { // Sphere231
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone163
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen122 = union {
  sphere { // Sphere232
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone164
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen123 = union {
  sphere { // Sphere233
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone165
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen124 = union {
  sphere { // Sphere234
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone166
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen125 = union {
  sphere { // Sphere235
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone167
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer20 = union {
  object { AllPetals20 }
  cone { // VaseTop20
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom20
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG103 }
  object { Stamen120 }
  object { Stamen121 }
  object { Stamen122 }
  object { Stamen123 }
  object { Stamen124 }
  object { Stamen125 }
  cone { // FlowerStem20
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate 4.0*x
  translate  <0.0, -28.83657, -1.271366>
}
#declare CSG104 = difference {
  torus { // Torus129
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus130
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal63 = difference {
  object { CSG104 }
  box { // Cube111
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG105 = difference {
  torus { // Torus131
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus132
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal64 = difference {
  object { CSG105 }
  box { // Cube112
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG106 = difference {
  torus { // Torus133
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus134
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal65 = difference {
  object { CSG106 }
  box { // Cube113
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG107 = union {
  object { petal63 }
  object { petal64 }
  object { petal65 }
  rotate 88.082886*x
}
#declare AllPetals21 = difference {
  object { CSG107 }
  cone { // Cone168
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG108 = union {
  sphere { // Sphere236
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone169
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere237
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere238
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen126 = union {
  sphere { // Sphere239
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone170
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen127 = union {
  sphere { // Sphere240
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone171
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen128 = union {
  sphere { // Sphere241
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone172
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen129 = union {
  sphere { // Sphere242
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone173
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen130 = union {
  sphere { // Sphere243
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone174
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen131 = union {
  sphere { // Sphere244
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone175
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer21 = union {
  object { AllPetals21 }
  cone { // VaseTop21
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom21
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG108 }
  object { Stamen126 }
  object { Stamen127 }
  object { Stamen128 }
  object { Stamen129 }
  object { Stamen130 }
  object { Stamen131 }
  cone { // FlowerStem21
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <29.327204, 0.0, 13.803541>
  translate  <10.234944, -15.012698, -14.670791>
}
#declare CSG109 = difference {
  torus { // Torus135
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus136
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal66 = difference {
  object { CSG109 }
  box { // Cube114
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG110 = difference {
  torus { // Torus137
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus138
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal67 = difference {
  object { CSG110 }
  box { // Cube115
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG111 = difference {
  torus { // Torus139
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus140
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal68 = difference {
  object { CSG111 }
  box { // Cube116
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG112 = union {
  object { petal66 }
  object { petal67 }
  object { petal68 }
  rotate 88.082886*x
}
#declare AllPetals22 = difference {
  object { CSG112 }
  cone { // Cone176
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG113 = union {
  sphere { // Sphere245
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone177
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere246
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere247
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen132 = union {
  sphere { // Sphere248
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone178
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen133 = union {
  sphere { // Sphere249
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone179
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen134 = union {
  sphere { // Sphere250
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone180
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen135 = union {
  sphere { // Sphere251
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone181
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen136 = union {
  sphere { // Sphere252
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone182
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen137 = union {
  sphere { // Sphere253
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone183
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer22 = union {
  object { AllPetals22 }
  cone { // VaseTop22
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom22
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG113 }
  object { Stamen132 }
  object { Stamen133 }
  object { Stamen134 }
  object { Stamen135 }
  object { Stamen136 }
  object { Stamen137 }
  cone { // FlowerStem22
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate 98.0*x
  translate  <-5.77572, 4.110601, -20.218394>
}
#declare CSG114 = difference {
  torus { // Torus141
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus142
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal69 = difference {
  object { CSG114 }
  box { // Cube117
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG115 = difference {
  torus { // Torus143
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus144
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal70 = difference {
  object { CSG115 }
  box { // Cube118
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG116 = difference {
  torus { // Torus145
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus146
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal71 = difference {
  object { CSG116 }
  box { // Cube119
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG117 = union {
  object { petal69 }
  object { petal70 }
  object { petal71 }
  rotate 88.082886*x
}
#declare AllPetals23 = difference {
  object { CSG117 }
  cone { // Cone184
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG118 = union {
  sphere { // Sphere254
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone185
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere255
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere256
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen138 = union {
  sphere { // Sphere257
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone186
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen139 = union {
  sphere { // Sphere258
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone187
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen140 = union {
  sphere { // Sphere259
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone188
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen141 = union {
  sphere { // Sphere260
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone189
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen142 = union {
  sphere { // Sphere261
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone190
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen143 = union {
  sphere { // Sphere262
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone191
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer23 = union {
  object { AllPetals23 }
  cone { // VaseTop23
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.512765>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom23
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG118 }
  object { Stamen138 }
  object { Stamen139 }
  object { Stamen140 }
  object { Stamen141 }
  object { Stamen142 }
  object { Stamen143 }
  cone { // FlowerStem23
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 9.823562>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-11.63065, 16.215425, -18.544788>
  translate  <-5.542168, -40.767269, 9.331336>
}
#declare CSG119 = difference {
  torus { // Torus147
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus148
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal72 = difference {
  object { CSG119 }
  box { // Cube120
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG120 = difference {
  torus { // Torus149
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus150
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal73 = difference {
  object { CSG120 }
  box { // Cube121
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG121 = difference {
  torus { // Torus151
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus152
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal74 = difference {
  object { CSG121 }
  box { // Cube122
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG122 = union {
  object { petal72 }
  object { petal73 }
  object { petal74 }
  rotate 88.082886*x
}
#declare AllPetals24 = difference {
  object { CSG122 }
  cone { // Cone192
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG123 = union {
  sphere { // Sphere263
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone193
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere264
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere265
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen144 = union {
  sphere { // Sphere266
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone194
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen145 = union {
  sphere { // Sphere267
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone195
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen146 = union {
  sphere { // Sphere268
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone196
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen147 = union {
  sphere { // Sphere269
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone197
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen148 = union {
  sphere { // Sphere270
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone198
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen149 = union {
  sphere { // Sphere271
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone199
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer24 = union {
  object { AllPetals24 }
  cone { // VaseTop24
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom24
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG123 }
  object { Stamen144 }
  object { Stamen145 }
  object { Stamen146 }
  object { Stamen147 }
  object { Stamen148 }
  object { Stamen149 }
  cone { // FlowerStem24
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -90.0*x
  translate  <-5.659394, -4.498998, 19.010947>
}
#declare CSG124 = difference {
  torus { // Torus153
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus154
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal75 = difference {
  object { CSG124 }
  box { // Cube123
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG125 = difference {
  torus { // Torus155
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus156
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal76 = difference {
  object { CSG125 }
  box { // Cube124
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG126 = difference {
  torus { // Torus157
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus158
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal77 = difference {
  object { CSG126 }
  box { // Cube125
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG127 = union {
  object { petal75 }
  object { petal76 }
  object { petal77 }
  rotate 88.082886*x
}
#declare AllPetals25 = difference {
  object { CSG127 }
  cone { // Cone200
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG128 = union {
  sphere { // Sphere272
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone201
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere273
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere274
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen150 = union {
  sphere { // Sphere275
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone202
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen151 = union {
  sphere { // Sphere276
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone203
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen152 = union {
  sphere { // Sphere277
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone204
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen153 = union {
  sphere { // Sphere278
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone205
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen154 = union {
  sphere { // Sphere279
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone206
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen155 = union {
  sphere { // Sphere280
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone207
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer25 = union {
  object { AllPetals25 }
  cone { // VaseTop25
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom25
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG128 }
  object { Stamen150 }
  object { Stamen151 }
  object { Stamen152 }
  object { Stamen153 }
  object { Stamen154 }
  object { Stamen155 }
  cone { // FlowerStem25
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-71.622643, -22.487879, -0.399314>
  translate  <-12.404872, -13.246222, 15.835565>
}
#declare FlowerCluster3 = union {
  object { Fliwer18 }
  object { Fliwer19 }
  object { Fliwer20 }
  object { Fliwer21 }
  object { Fliwer22 }
  object { Fliwer23 }
  object { Fliwer24 }
  object { Fliwer25 }
}
#declare CSG190 = difference {
  torus { // Torus159
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus160
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal114 = difference {
  object { CSG190 }
  box { // Cube126
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG191 = difference {
  torus { // Torus233
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus234
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal115 = difference {
  object { CSG191 }
  box { // Cube127
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG192 = difference {
  torus { // Torus235
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus236
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal116 = difference {
  object { CSG192 }
  box { // Cube180
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG193 = union {
  object { petal114 }
  object { petal115 }
  object { petal116 }
  rotate 88.082886*x
}
#declare AllPetals38 = difference {
  object { CSG193 }
  cone { // Cone208
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG194 = union {
  sphere { // Sphere281
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone209
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere282
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere408
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen228 = union {
  sphere { // Sphere409
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone210
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen229 = union {
  sphere { // Sphere410
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone211
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen230 = union {
  sphere { // Sphere411
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone308
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen231 = union {
  sphere { // Sphere412
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone309
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen232 = union {
  sphere { // Sphere413
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone310
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen233 = union {
  sphere { // Sphere414
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone311
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer38 = union {
  object { AllPetals38 }
  cone { // VaseTop38
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom38
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG194 }
  object { Stamen228 }
  object { Stamen229 }
  object { Stamen230 }
  object { Stamen231 }
  object { Stamen232 }
  object { Stamen233 }
  cone { // FlowerStem38
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-46.993782, 18.433233, -53.579243>
  translate  <-38.0, -16.674274, -24.941204>
}
#declare TheFliwer1 = union {
  object { FlowerCluster2 }
  object { FlowerCluster3 }
  object { Fliwer38 }
  scale 0.5
  rotate <0.0, -46.894386, 0.0>
  translate  <0.0, 0.0, 17.126729>
}
#declare FlowerPlant1 = union {
  object { Leaves3 }
  object { Leaves5 }
  object { TheFliwer1 }
  rotate 57.655025*z
  translate  <29.755689, 18.842962, -9.551276>
}
//
// Include file contains 'RotSwp001'
//
#include "bt4.in1"
#declare RotSwp001 = object {
  RotSwp001_Raw
  scale 10.0
  translate  <0.0, -0.498402, 12.185178>
}
#declare BzPtch001 = union {
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.816434, -0.004628, -0.010783>, <-0.821062, 0.000757, -0.010783>, <-0.823666, -0.003509, 0.006049>, <-0.824523, -0.003509, 0.013601>,
      <-0.038753, 0.000000, 0.450524>, <-0.038753, -0.550000, 0.450524>, <-0.550000, -1.000000, 0.500000>, <0.000000, -1.000000, 0.500000>,
      <-1.000000, 0.000000, 1.000000>, <-1.000000, -0.550000, 1.000000>, <-0.550000, -1.000000, 1.000000>, <0.000000, -1.000000, 1.000000>,
      <-1.518157, 0.000000, 2.536314>, <-1.518157, -0.550000, 2.536314>, <-1.068157, -1.000000, 2.536314>, <-0.259079, -1.000000, 2.018157>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.824523, -0.003509, 0.013601>, <-0.825380, -0.003509, 0.021154>, <-0.818321, 0.000657, 0.008846>, <-0.818321, -0.000100, 0.008846>,
      <0.000000, -1.000000, 0.500000>, <0.550000, -1.000000, 0.500000>, <1.000000, -0.550000, 0.500000>, <1.000000, 0.000000, 0.500000>,
      <0.000000, -1.000000, 1.000000>, <0.550000, -1.000000, 1.000000>, <1.218670, -0.550000, 2.348464>, <1.218670, 0.000000, 2.348464>,
      <-0.259079, -1.000000, 2.018157>, <0.550000, -1.000000, 1.500000>, <1.357564, -0.550000, 3.499073>, <1.357564, 0.000000, 3.499073>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.818321, -0.000100, 0.008846>, <-0.818321, -0.000857, 0.008846>, <-0.825380, 0.003509, 0.014136>, <-0.824523, 0.003509, 0.006584>,
      <1.000000, 0.000000, 0.500000>, <1.000000, 0.550000, 0.500000>, <0.550000, 1.000000, 0.500000>, <0.000000, 1.000000, 0.500000>,
      <1.218670, 0.000000, 2.348464>, <1.218670, 0.550000, 2.348464>, <0.550000, 1.000000, 1.000000>, <0.000000, 1.000000, 1.000000>,
      <1.357564, 0.000000, 3.499073>, <1.357564, 0.550000, 3.499073>, <0.550000, 1.000000, 1.500000>, <-0.259079, 1.000000, 2.018157>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.824523, 0.003509, 0.006584>, <-0.823666, 0.003509, -0.000968>, <-0.811806, -0.010014, -0.010783>, <-0.816434, -0.004628, -0.010783>,
      <0.000000, 1.000000, 0.500000>, <-0.550000, 1.000000, 0.500000>, <-0.038753, 0.550000, 0.450524>, <-0.038753, 0.000000, 0.450524>,
      <0.000000, 1.000000, 1.000000>, <-0.550000, 1.000000, 1.000000>, <-1.000000, 0.550000, 1.000000>, <-1.000000, 0.000000, 1.000000>,
      <-0.259079, 1.000000, 2.018157>, <-1.068157, 1.000000, 2.536314>, <-1.518157, 0.550000, 2.536314>, <-1.518157, 0.000000, 2.536314>
    }
  }
  scale 5.0
  translate  <0.913866, -1.899752, -0.221249>
}
#declare Chrylsis = union {
  object { RotSwp001 }
  object { BzPtch001 }
  texture {
    ChrysTex5 //ChyTEX
  }
  no_shadow
  scale <0.6, 0.6, 0.985896>
  translate <42.5216628, 16.7, -31.611845> //<44.216628, 15.755063, -31.611845>
}
union { // CSG189
  object { FlowerPlant1 }
  object { Chrylsis }
}










sphere { // CatShadow
  <0,0,0>,1
  texture {
    CatShadTex
  }
  no_shadow
  scale <13.163005, 2.949115, 1.172668>
  rotate <-23.662865, 44.081966, -36.098064>
  translate  <24.993516, 29.862393, 5.741602>
}


/*box { // ShadowBlock
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Texture04
  }
  scale <-0.517351, 36.183617, 19.051647>
  rotate 13.579011*y
  translate  <14.790498, 29.856112, -19.578872>
}*/


#declare LeftLeaf29 = difference {
  sphere { // Sphere293
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube138
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf29 = difference {
  sphere { // Sphere294
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube139
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf29 = union {
  object { LeftLeaf29 }
  object { RtLeaf29 }
  cone { // LeafVein29
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  no_shadow
  scale <1.05, 1.02, 1.02>
  rotate <-76.358734, 50.12698, -161.230774>
  translate  <3.115292, -20.889589, -1.647849>
}
#declare LeftLeaf4 = difference {
  sphere { // Sphere295
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube140
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf4 = difference {
  sphere { // Sphere296
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube141
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf4 = union {
  object { LeftLeaf4 }
  object { RtLeaf4 }
  cone { // LeafVein4
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  no_shadow
  scale 0.7
  rotate <-53.258675, -3.272939, -61.727074>
  translate  <17.11304, 10.612503, 42.561291>
}
#declare LeftLeaf25 = difference {
  sphere { // Sphere285
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube130
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <6.269958, 0.0, 0.011154>
  }
  rotate 25.0*z
}
#declare RtLeaf25 = difference {
  sphere { // Sphere286
    <0,0,0>,1
    texture {
      LeafTex
    }
    scale <4.649365, 0.031579, 19.025391>
  }
  box { // Cube131
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <6.259522, 1.0, 19.758961>
    translate  <-6.269958, 0.0, 0.011154>
  }
  rotate -25.0*z
}
#declare Leaf25 = union {
  object { LeftLeaf25 }
  object { RtLeaf25 }
  cone { // LeafVein25
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      LeafVeinTex
    }
    scale <1.0, 1.0, 39.661167>
    rotate 180.0*x
    translate  18.956782*z
  }
  no_shadow
  scale <1.05, 1.02, 1.02>
  rotate <-57.404205, 23.159565, -169.291946>
  translate  <-14.980286, -28.303822, 27.475215>
}
#declare Leaves7 = union {
  object { Leaf29 }
  object { Leaf4 }
  object { Leaf25 }
  no_shadow
  rotate -35.0*z
  translate  <0.011653, 0.02956, -22.642036>
}
#declare CSG129 = difference {
  torus { // Torus161
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus162
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal78 = difference {
  object { CSG129 }
  box { // Cube144
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG130 = difference {
  torus { // Torus163
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus164
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal79 = difference {
  object { CSG130 }
  box { // Cube145
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG131 = difference {
  torus { // Torus165
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus166
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal80 = difference {
  object { CSG131 }
  box { // Cube146
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG132 = union {
  object { petal78 }
  object { petal79 }
  object { petal80 }
  rotate 88.082886*x
}
#declare AllPetals26 = difference {
  object { CSG132 }
  cone { // Cone212
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG133 = union {
  sphere { // Sphere300
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone213
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere301
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere302
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen156 = union {
  sphere { // Sphere303
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone214
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen157 = union {
  sphere { // Sphere304
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone215
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen158 = union {
  sphere { // Sphere305
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone216
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen159 = union {
  sphere { // Sphere306
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone217
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen160 = union {
  sphere { // Sphere307
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone218
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen161 = union {
  sphere { // Sphere308
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone219
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer26 = union {
  object { AllPetals26 }
  cone { // VaseTop26
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom26
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG133 }
  object { Stamen156 }
  object { Stamen157 }
  object { Stamen158 }
  object { Stamen159 }
  object { Stamen160 }
  object { Stamen161 }
  cone { // FlowerStem26
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -90.0*x
  translate  <0.0, 0.743269, 28.855012>
}
#declare CSG134 = difference {
  torus { // Torus167
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus168
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal81 = difference {
  object { CSG134 }
  box { // Cube147
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG135 = difference {
  torus { // Torus169
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus170
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal82 = difference {
  object { CSG135 }
  box { // Cube148
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG136 = difference {
  torus { // Torus171
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus172
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal83 = difference {
  object { CSG136 }
  box { // Cube149
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG137 = union {
  object { petal81 }
  object { petal82 }
  object { petal83 }
  rotate 88.082886*x
}
#declare AllPetals27 = difference {
  object { CSG137 }
  cone { // Cone220
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG138 = union {
  sphere { // Sphere309
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone221
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere310
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere311
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen162 = union {
  sphere { // Sphere312
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone222
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen163 = union {
  sphere { // Sphere313
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone223
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen164 = union {
  sphere { // Sphere314
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone224
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen165 = union {
  sphere { // Sphere315
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone225
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen166 = union {
  sphere { // Sphere316
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone226
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen167 = union {
  sphere { // Sphere317
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone227
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer27 = union {
  object { AllPetals27 }
  cone { // VaseTop27
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom27
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG138 }
  object { Stamen162 }
  object { Stamen163 }
  object { Stamen164 }
  object { Stamen165 }
  object { Stamen166 }
  object { Stamen167 }
  cone { // FlowerStem27
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -43.0*x
  translate  <0.0, -20.596312, 20.222663>
}
#declare CSG139 = difference {
  torus { // Torus173
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus174
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal84 = difference {
  object { CSG139 }
  box { // Cube150
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG140 = difference {
  torus { // Torus175
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus176
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal85 = difference {
  object { CSG140 }
  box { // Cube151
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG141 = difference {
  torus { // Torus177
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus178
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal86 = difference {
  object { CSG141 }
  box { // Cube152
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG142 = union {
  object { petal84 }
  object { petal85 }
  object { petal86 }
  rotate 88.082886*x
}
#declare AllPetals28 = difference {
  object { CSG142 }
  cone { // Cone228
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG143 = union {
  sphere { // Sphere318
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone229
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere319
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere320
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen168 = union {
  sphere { // Sphere321
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone230
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen169 = union {
  sphere { // Sphere322
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone231
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen170 = union {
  sphere { // Sphere323
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone232
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen171 = union {
  sphere { // Sphere324
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone233
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen172 = union {
  sphere { // Sphere325
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone234
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen173 = union {
  sphere { // Sphere326
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone235
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer28 = union {
  object { AllPetals28 }
  cone { // VaseTop28
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom28
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG143 }
  object { Stamen168 }
  object { Stamen169 }
  object { Stamen170 }
  object { Stamen171 }
  object { Stamen172 }
  object { Stamen173 }
  cone { // FlowerStem28
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-1.17981, 0.279658, 6.176609>
  translate  <0.0, -26.504166, -1.271366>
}
#declare CSG144 = difference {
  torus { // Torus179
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus180
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal87 = difference {
  object { CSG144 }
  box { // Cube153
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG145 = difference {
  torus { // Torus181
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus182
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal88 = difference {
  object { CSG145 }
  box { // Cube154
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG146 = difference {
  torus { // Torus183
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus184
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal89 = difference {
  object { CSG146 }
  box { // Cube155
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG147 = union {
  object { petal87 }
  object { petal88 }
  object { petal89 }
  rotate 88.082886*x
}
#declare AllPetals29 = difference {
  object { CSG147 }
  cone { // Cone236
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG148 = union {
  sphere { // Sphere327
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone237
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere328
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere329
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen174 = union {
  sphere { // Sphere330
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone238
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen175 = union {
  sphere { // Sphere331
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone239
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen176 = union {
  sphere { // Sphere332
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone240
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen177 = union {
  sphere { // Sphere333
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone241
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen178 = union {
  sphere { // Sphere334
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone242
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen179 = union {
  sphere { // Sphere335
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone243
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer29 = union {
  object { AllPetals29 }
  cone { // VaseTop29
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom29
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG148 }
  object { Stamen174 }
  object { Stamen175 }
  object { Stamen176 }
  object { Stamen177 }
  object { Stamen178 }
  object { Stamen179 }
  cone { // FlowerStem29
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <29.327204, 0.0, 13.803541>
  translate  <12.0, -15.012698, -10.975572> //<14.638734, -15.012698, -10.975572>
}
#declare CSG149 = difference {
  torus { // Torus185
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus186
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal90 = difference {
  object { CSG149 }
  box { // Cube156
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG150 = difference {
  torus { // Torus187
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus188
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal91 = difference {
  object { CSG150 }
  box { // Cube157
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG151 = difference {
  torus { // Torus189
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus190
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal92 = difference {
  object { CSG151 }
  box { // Cube158
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG152 = union {
  object { petal90 }
  object { petal91 }
  object { petal92 }
  rotate 88.082886*x
}
#declare AllPetals30 = difference {
  object { CSG152 }
  cone { // Cone244
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG153 = union {
  sphere { // Sphere336
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone245
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere337
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere338
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen180 = union {
  sphere { // Sphere339
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone246
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen181 = union {
  sphere { // Sphere340
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone247
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen182 = union {
  sphere { // Sphere341
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone248
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen183 = union {
  sphere { // Sphere342
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone249
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen184 = union {
  sphere { // Sphere343
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone250
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen185 = union {
  sphere { // Sphere344
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone251
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer30 = union {
  object { AllPetals30 }
  cone { // VaseTop30
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom30
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG153 }
  object { Stamen180 }
  object { Stamen181 }
  object { Stamen182 }
  object { Stamen183 }
  object { Stamen184 }
  object { Stamen185 }
  cone { // FlowerStem30
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  texture {
    PetalTex1
  }
  rotate <98.0, -36.011692, 0.0>
  translate  <11.716816, 4.110601, -22.186951>
}
#declare CSG154 = difference {
  torus { // Torus191
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus192
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal93 = difference {
  object { CSG154 }
  box { // Cube159
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG155 = difference {
  torus { // Torus193
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus194
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal94 = difference {
  object { CSG155 }
  box { // Cube160
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG156 = difference {
  torus { // Torus195
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus196
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal95 = difference {
  object { CSG156 }
  box { // Cube161
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG157 = union {
  object { petal93 }
  object { petal94 }
  object { petal95 }
  rotate 88.082886*x
}
#declare AllPetals31 = difference {
  object { CSG157 }
  cone { // Cone252
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG158 = union {
  sphere { // Sphere345
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone253
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere346
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere347
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen186 = union {
  sphere { // Sphere348
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone254
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen187 = union {
  sphere { // Sphere349
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone255
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen188 = union {
  sphere { // Sphere350
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone256
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen189 = union {
  sphere { // Sphere351
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone257
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen190 = union {
  sphere { // Sphere352
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone258
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen191 = union {
  sphere { // Sphere353
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone259
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer31 = union {
  object { AllPetals31 }
  cone { // VaseTop31
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom31
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG158 }
  object { Stamen186 }
  object { Stamen187 }
  object { Stamen188 }
  object { Stamen189 }
  object { Stamen190 }
  object { Stamen191 }
  cone { // FlowerStem31
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-11.63065, 16.215425, -18.544788>
  translate  <-5.542168, -40.767269, 9.331336>
}
#declare FlowerCluster4 = union {
  object { Fliwer26 }
  object { Fliwer27 }
  object { Fliwer28 }
  object { Fliwer29 }
  object { Fliwer30 }
  object { Fliwer31 }
  rotate -50.0*y
  translate  <-3.078982, -9.236947, 0.0>
}
#declare CSG159 = difference {
  torus { // Torus197
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus198
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal96 = difference {
  object { CSG159 }
  box { // Cube162
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG160 = difference {
  torus { // Torus199
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus200
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal97 = difference {
  object { CSG160 }
  box { // Cube163
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG161 = difference {
  torus { // Torus201
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus202
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal98 = difference {
  object { CSG161 }
  box { // Cube164
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG162 = union {
  object { petal96 }
  object { petal97 }
  object { petal98 }
  rotate 88.082886*x
}
#declare AllPetals32 = difference {
  object { CSG162 }
  cone { // Cone260
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG163 = union {
  sphere { // Sphere354
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone261
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere355
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere356
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen192 = union {
  sphere { // Sphere357
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone262
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen193 = union {
  sphere { // Sphere358
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone263
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen194 = union {
  sphere { // Sphere359
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone264
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen195 = union {
  sphere { // Sphere360
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone265
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen196 = union {
  sphere { // Sphere361
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone266
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen197 = union {
  sphere { // Sphere362
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone267
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer32 = union {
  object { AllPetals32 }
  cone { // VaseTop32
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom32
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG163 }
  object { Stamen192 }
  object { Stamen193 }
  object { Stamen194 }
  object { Stamen195 }
  object { Stamen196 }
  object { Stamen197 }
  cone { // FlowerStem32
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -90.0*x
  translate  <0.0, 0.743269, 28.855012>
}
#declare CSG164 = difference {
  torus { // Torus203
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus204
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal99 = difference {
  object { CSG164 }
  box { // Cube165
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG165 = difference {
  torus { // Torus205
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus206
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal100 = difference {
  object { CSG165 }
  box { // Cube166
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG166 = difference {
  torus { // Torus207
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus208
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal101 = difference {
  object { CSG166 }
  box { // Cube167
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG167 = union {
  object { petal99 }
  object { petal100 }
  object { petal101 }
  rotate 88.082886*x
}
#declare AllPetals33 = difference {
  object { CSG167 }
  cone { // Cone268
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG168 = union {
  sphere { // Sphere363
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone269
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere364
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere365
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen198 = union {
  sphere { // Sphere366
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone270
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen199 = union {
  sphere { // Sphere367
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone271
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen200 = union {
  sphere { // Sphere368
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone272
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen201 = union {
  sphere { // Sphere369
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone273
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen202 = union {
  sphere { // Sphere370
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone274
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen203 = union {
  sphere { // Sphere371
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone275
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer33 = union {
  object { AllPetals33 }
  cone { // VaseTop33
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom33
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG168 }
  object { Stamen198 }
  object { Stamen199 }
  object { Stamen200 }
  object { Stamen201 }
  object { Stamen202 }
  object { Stamen203 }
  cone { // FlowerStem33
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate -43.0*x
  translate  <0.0, -20.596312, 20.222663>
}
#declare CSG169 = difference {
  torus { // Torus209
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus210
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal102 = difference {
  object { CSG169 }
  box { // Cube168
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG170 = difference {
  torus { // Torus211
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus212
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal103 = difference {
  object { CSG170 }
  box { // Cube169
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG171 = difference {
  torus { // Torus213
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus214
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal104 = difference {
  object { CSG171 }
  box { // Cube170
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG172 = union {
  object { petal102 }
  object { petal103 }
  object { petal104 }
  rotate 88.082886*x
}
#declare AllPetals34 = difference {
  object { CSG172 }
  cone { // Cone276
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG173 = union {
  sphere { // Sphere372
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone277
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere373
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere374
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen204 = union {
  sphere { // Sphere375
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone278
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen205 = union {
  sphere { // Sphere376
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone279
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen206 = union {
  sphere { // Sphere377
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone280
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen207 = union {
  sphere { // Sphere378
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone281
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen208 = union {
  sphere { // Sphere379
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone282
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen209 = union {
  sphere { // Sphere380
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone283
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer34 = union {
  object { AllPetals34 }
  cone { // VaseTop34
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom34
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG173 }
  object { Stamen204 }
  object { Stamen205 }
  object { Stamen206 }
  object { Stamen207 }
  object { Stamen208 }
  object { Stamen209 }
  cone { // FlowerStem34
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate 4.0*x
  translate  <0.0, -23.57406, -1.271366>
}
#declare CSG174 = difference {
  torus { // Torus215
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus216
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal105 = difference {
  object { CSG174 }
  box { // Cube171
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG175 = difference {
  torus { // Torus217
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus218
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal106 = difference {
  object { CSG175 }
  box { // Cube172
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG176 = difference {
  torus { // Torus219
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus220
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal107 = difference {
  object { CSG176 }
  box { // Cube173
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG177 = union {
  object { petal105 }
  object { petal106 }
  object { petal107 }
  rotate 88.082886*x
}
#declare AllPetals35 = difference {
  object { CSG177 }
  cone { // Cone284
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG178 = union {
  sphere { // Sphere381
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone285
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere382
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere383
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen210 = union {
  sphere { // Sphere384
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone286
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen211 = union {
  sphere { // Sphere385
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone287
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen212 = union {
  sphere { // Sphere386
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone288
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen213 = union {
  sphere { // Sphere387
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone289
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen214 = union {
  sphere { // Sphere388
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone290
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen215 = union {
  sphere { // Sphere389
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone291
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer35 = union {
  object { AllPetals35 }
  cone { // VaseTop35
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom35
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG178 }
  object { Stamen210 }
  object { Stamen211 }
  object { Stamen212 }
  object { Stamen213 }
  object { Stamen214 }
  object { Stamen215 }
  cone { // FlowerStem35
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <29.327204, 0.0, 13.803541>
  translate  <10.234944, -15.012698, -14.670791>
}
#declare CSG179 = difference {
  torus { // Torus221
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus222
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal108 = difference {
  object { CSG179 }
  box { // Cube174
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG180 = difference {
  torus { // Torus223
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus224
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal109 = difference {
  object { CSG180 }
  box { // Cube175
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG181 = difference {
  torus { // Torus225
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus226
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal110 = difference {
  object { CSG181 }
  box { // Cube176
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG182 = union {
  object { petal108 }
  object { petal109 }
  object { petal110 }
  rotate 88.082886*x
}
#declare AllPetals36 = difference {
  object { CSG182 }
  cone { // Cone292
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG183 = union {
  sphere { // Sphere390
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone293
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere391
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere392
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen216 = union {
  sphere { // Sphere393
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone294
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen217 = union {
  sphere { // Sphere394
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone295
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen218 = union {
  sphere { // Sphere395
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone296
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen219 = union {
  sphere { // Sphere396
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone297
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen220 = union {
  sphere { // Sphere397
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone298
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen221 = union {
  sphere { // Sphere398
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone299
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer36 = union {
  object { AllPetals36 }
  cone { // VaseTop36
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom36
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG183 }
  object { Stamen216 }
  object { Stamen217 }
  object { Stamen218 }
  object { Stamen219 }
  object { Stamen220 }
  object { Stamen221 }
  cone { // FlowerStem36
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate 98.0*x
  translate  <-5.77572, 4.110601, -20.218394>
}
#declare CSG184 = difference {
  torus { // Torus227
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus228
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal111 = difference {
  object { CSG184 }
  box { // Cube177
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
}
#declare CSG185 = difference {
  torus { // Torus229
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus230
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal112 = difference {
  object { CSG185 }
  box { // Cube178
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -66.599998*z
}
#declare CSG186 = difference {
  torus { // Torus231
    1.5, 0.5  rotate -x*90
    texture {
      PetalTex
    }
    scale <13.050646, 5.0, 5.0>
    rotate -90.0*x
    translate  <-0.370162, -0.324938, 1.355851>
  }
  torus { // Torus232
    1.5, 0.5  rotate -x*90
    texture {
      ClrTex
    }
    scale <15.660775, 6.0, 6.0>
    rotate -90.0*x
    translate  <0.282593, -0.487407, 4.625384>
  }
}
#declare petal113 = difference {
  object { CSG186 }
  box { // Cube179
    <-1, -1, -1>, <1, 1, 1>
    texture {
      ClrTex
    }
    scale <26.239862, 3.599505, 9.26823>
    translate  <-0.43517, 0.0, 9.138571>
  }
  scale <0.5, 1.0, 0.5>
  rotate -133.199997*z
}
#declare CSG187 = union {
  object { petal111 }
  object { petal112 }
  object { petal113 }
  rotate 88.082886*x
}
#declare AllPetals37 = difference {
  object { CSG187 }
  cone { // Cone300
    <0,0,0>, 1.3, <0,0,1>, 4.5
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
}
#declare CSG188 = union {
  sphere { // Sphere399
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, 0.066301, -2.833591>
  }
  cone { // Cone301
    <0,0,0>, 0.0, <0,0,1>, 0.3
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, -0.186583, -2.888514>
  }
  sphere { // Sphere400
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <0.179552, -0.186287, -2.833591>
  }
  sphere { // Sphere401
    <0,0,0>,1
    texture {
      PetalTex
    }
    scale 0.3
    translate  <-0.073036, -0.325522, -2.852249>
  }
  rotate 90.0*x
}
#declare Stamen222 = union {
  sphere { // Sphere402
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone302
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate 64.669678*x
  translate  <0.0, -0.779766, 5.092658>
}
#declare Stamen223 = union {
  sphere { // Sphere403
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone303
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -51.135906, 0.0>
  translate  <-4.324127, -0.369364, 2.514768>
}
#declare Stamen224 = union {
  sphere { // Sphere404
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone304
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -120.0, 0.0>
  translate  <-4.355706, -0.558837, -2.514768>
}
#declare Stamen225 = union {
  sphere { // Sphere405
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <45.263889, 0.0, 0.0>
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone305
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <-112.281311, 0.0, -180.0>
  translate  <0.0, -0.779766, -4.619239>
}
#declare Stamen226 = union {
  sphere { // Sphere406
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate 21.267752*x
    translate  <-0.117861, -0.000807, -3.06079>
  }
  cone { // Cone306
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -240.0, 0.0>
  translate  <4.355706, -0.558837, -2.514768>
}
#declare Stamen227 = union {
  sphere { // Sphere407
    <0,0,0>,1
    texture {
      PollenTex
    }
    scale <0.3, 0.706778, 0.162782>
    rotate <11.771697, 1.957587, 1.561172>
    translate  <-0.117861, 0.041609, -3.145501>
  }
  cone { // Cone307
    <0,0,0>, 0.0, <0,0,1>, 0.1
    texture {
      PetalTex
    }
    scale <1.0, 1.0, 5.0>
    rotate 180.0*x
    translate  <-0.1099, 0.0, -2.851197>
  }
  rotate <63.402267, -300.0, 0.0>
  translate  <4.355706, -1.032256, 2.514768>
}
#declare Fliwer37 = union {
  object { AllPetals37 }
  cone { // VaseTop37
    <0,0,0>, 1.3, <0,0,1>, 4.5
    open
    texture {
      PetalTex1
    }
    scale <1.0, 1.0, 5.386664>
    rotate 88.082886*x
    translate  <0.0, 7.918638, -0.251457>
  }
  cone { // VaseBottom37
    <0,0,0>, 0.0, <0,0,1>, 1.35
    open
    texture {
      PetalTex2
    }
    rotate 90.0*x
    translate  <0.0, 8.904274, -0.225079>
  }
  object { CSG188 }
  object { Stamen222 }
  object { Stamen223 }
  object { Stamen224 }
  object { Stamen225 }
  object { Stamen226 }
  object { Stamen227 }
  cone { // FlowerStem37
    <0,0,0>, 0.2, <0,0,1>, 0.25
    open
    texture {
      StemTex
    }
    scale <1.0, 1.0, 5.0>
    rotate -90.0*x
    translate  <0.0, 8.718619, -0.188381>
  }
  rotate <-11.63065, 16.215425, -18.544788>
  translate  <-5.542168, -40.767269, 9.331336>
}
#declare FlowerCluster5 = union {
  object { Fliwer32 }
  object { Fliwer33 }
  object { Fliwer34 }
  object { Fliwer35 }
  object { Fliwer36 }
  object { Fliwer37 }
}
#declare TheFliwer2 = union {
  object { FlowerCluster4 }
  object { FlowerCluster5 }
  scale 0.5
  rotate <0.0, -46.894386, 0.0>
  translate  <2.5, 0.0, 17.126729>
}
union { // FlowerPlant2
  object { Leaves7 }
  object { TheFliwer2 }
  translate  <23.128427, 18.842962, -38.93302>
}


box { // Cube003
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GroundTex1
  }
  scale 130.614975
  translate  <-7.298958, 0.0, -163.422784>
}
sky_sphere {
//texture {
    pigment {gradient z
      turbulence .1
       color_map {
       [ 0.00  color rgb <0.450,0.550,0.8000>]
        [ 0.500  color rgb <0.450,0.550,0.8000>]
         [ 01.00  color rgb <0.450,0.550,0.8000>]


           /* [ 0.000  color rgb <0.650,0.750,1.000>] //<0.745, 0.888, 1.000> ]
         [ 0.500  color rgb <0.650,0.750,1.000>] //<0.745, 0.888, 1.000> ] //<0.650,0.750,1.000>] //<0.500, 0.703, 0.902> ]
         [ 1.000  color rgb<0.650,0.750,1.000>]*/ //<0.745, 0.888, 1.000> ]
      }} //}}}
      // finish {ambient .9 diffuse .1}
     //}}}

// texture { // SkyTexL2
     pigment {
       bozo
       color_map {
         [ 0.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.500  color rgbf<1.000, 1.000, 1.000, 0.0> ]
         [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       }
       turbulence 0.200
       omega 0.700
     }
       scale <.25, .25,.25> //<.5, .5,.5>//
       rotate <0.0,90.0,0.0>
       translate < 0, 5,0>
       /*finish {
       diffuse 0.100
       ambient 0.890
       specular 0.400
       roughness 0.0100
     }*/

}

